from django.db import models

# Create your models here.
class ContactUs(models.Model):
	UUID = models.CharField(max_length=200)
	firstName = models.CharField(max_length=200,null=True)
	lastName = models.CharField(max_length=200,null=True)
	emailAddress = models.CharField(max_length=200,null=True)
	subject = models.CharField(max_length=200,null=True)
	message = models.TextField(null=True)
	replayMessage = models.TextField(null=True)
	created_on = models.DateTimeField(auto_now_add=True)
	updated_on = models.DateTimeField(auto_now_add=True)

class Content(models.Model):
	UUID = models.CharField(max_length=200)
	pageName = models.CharField(max_length=255,null=True)
	pageTitle = models.CharField(max_length=255,null=True)
	pageSlug = models.CharField(max_length=255,null=True)
	pageDescription = models.TextField(null=True)
	metaKeyword = models.TextField(null=True)
	metaDescription = models.TextField(null=True)
	isActive = models.BooleanField(null=False, default=False)
	created_on = models.DateTimeField(auto_now_add=True)
	updated_on = models.DateTimeField(auto_now_add=True)

class EmailTemplates(models.Model):
	UUID = models.CharField(max_length=200)
	constant = models.CharField(max_length=255,null=True)
	types = models.CharField(max_length=255,null=True)
	subject = models.CharField(max_length=255,null=True)
	description = models.CharField(max_length=255,null=True)
	templates = models.TextField(null=True)
	updated_on = models.DateTimeField(auto_now_add=True)
	isActive = models.BooleanField(null=False, default=False)

class SubscriptionPlans(models.Model):
	UUID = models.CharField(max_length=200)
	planName = models.CharField(max_length=255,null=True)
	planPrice = models.FloatField()
	selectLogin = models.BooleanField(null=False, default=True)
	patentSearch = models.BooleanField(null=False, default=True)
	noOfPatentDetailView = models.IntegerField(null=True)
	isActive = models.BooleanField(null=False, default=False)
	created_on = models.DateTimeField(auto_now_add=True)
	updated_on = models.DateTimeField(auto_now_add=True)

class SiteSettings(models.Model):
	UUID = models.CharField(max_length=200)
	siteName = models.CharField(max_length=255)
	siteLogo = models.ImageField(null=True, blank=True, upload_to ='site-setting/images/logo')
	siteFavicon = models.ImageField(null=True, blank=True, upload_to ='site-setting/images/favicon')
	adminName = models.CharField(max_length=255)
	adminEmail = models.CharField(max_length=255)
	googleApiKey = models.CharField(max_length=255)
	googleSecretKey = models.CharField(max_length=255)
	fromEmail = models.CharField(max_length=255)
	smtpHost = models.CharField(max_length=255)
	smtpPort = models.CharField(max_length=255)
	smtpEmail = models.CharField(max_length=255)
	smtpPassword = models.CharField(max_length=255)
	facebookLink = models.CharField(max_length=255,null=True)
	twitterLink = models.CharField(max_length=255,null=True)
	googleLink = models.CharField(max_length=255,null=True)
	linkedinLink = models.CharField(max_length=255)
	paypalPaymentId = models.CharField(max_length=255)
	updated_on = models.DateTimeField(auto_now_add=True)

class Users(models.Model):
	UUID = models.CharField(max_length=200)
	firstName = models.CharField(max_length=255)
	lastName = models.CharField(max_length=255)
	emailAddress = models.CharField(max_length=255)
	password = models.CharField(max_length=255)
	profileImage = models.ImageField(null=True, blank=True, upload_to ='user-profile/images')
	isActive = models.BooleanField(null=False, default=True)
	isverified = models.BooleanField(null=False, default=False)
	created_on = models.DateTimeField(auto_now_add=True)
	updated_on = models.DateTimeField(auto_now_add=True)

class PaymentHistory(models.Model):
	UUID = models.CharField(max_length=200)
	userUUID = models.CharField(max_length=200)
	paymentAmount = models.FloatField()
	transactionId = models.CharField(max_length=200,null=True)
	payment_on = models.DateTimeField(auto_now_add=True)
	updated_on = models.DateTimeField(auto_now_add=True)

class Admin(models.Model):
	UUID = models.CharField(max_length=200)
	uName = models.CharField(max_length=255)
	password = models.CharField(max_length=255)
	uEmail = models.CharField(max_length=255)
	isActive = models.BooleanField(null=False, default=True)
	created_on = models.DateTimeField(auto_now_add=True)
	updated_on = models.DateTimeField(auto_now_add=True)


class Patents(models.Model):
	UUID = models.CharField(max_length=200)
	applicatitionNumber = models.CharField(max_length=255)
	patentNumber = models.CharField(max_length=255,null=True)
	patentPublicatoinNumber = models.CharField(max_length=255,null=True)
	patentTitle = models.CharField(max_length=255)
	inventors = models.CharField(max_length=255,null=True)
	isActive = models.BooleanField(null=False, default=True)
	filingDate = models.DateTimeField(auto_now_add=True)
	created_on = models.DateTimeField(auto_now_add=True)
	updated_on = models.DateTimeField(auto_now_add=True)
	