$(function () {
	$(document).on('click', '.btn_delete_action', function (e) {
		// toastr['error']('There seems to be an issue. Please try again after some time.');
        e.preventDefault();
        if (confirm("Are you sure to delete record?")) {
            var $this = $(this);
            var recordId = $(this).attr('data-id');
            var tableName = $(this).attr('data-table');
            $.ajax({
                url: 'delete-records',
                type: "POST",
                dataType: "json",
                data:{
                	'recordId':recordId,
                	'tableName':tableName
                },
                success: function (response) {
                    if (response.status) {
                        toastr[response.type](response.message);
                        if ('success' == response.type) {
                            OTable.fnDraw();
                        }else{
                        	toastr[response.type](response.message);
                        }
                    } else {
                        toastr['error']('There seems to be an issue. Please try again after some time.');
                    }
                }
            });
        }
    });

    $(document).on('click', '.btn_view_action', function (e) {
        // toastr['error']('There seems to be an issue. Please try again after some time.');
        $("#viewDetailData").html("")
        e.preventDefault();
        var $this = $(this);
        var recordId = $(this).attr('data-id');
        var tableName = $(this).attr('data-table');
        $.ajax({
            url: 'view-record-details',
            type: "POST",
            dataType: "json",
            data:{
                'recordId':recordId,
                'tableName':tableName
            },
            success: function (response) {
                if (response.status) {
                    $("#viewDetailData").html(response.contentData)
                    $("#ViewRecordDetailModal").modal("show")
                } else {
                    toastr['error']('There seems to be an issue. Please try again after some time.');
                }
            }
        });
    });

    $(document).on('switch-change', '.make-switch', function (event, state) {
        $(this).prop('checked', state.value);
        var statusValue = state.value ? true : false;
        var tableName = $(this).data('table');
        var recordId = $(this).data('id');
        $.ajax({
            url: 'change-record-status',
            type: "POST",
            dataType: "json",
            data:{
                'statusValue':statusValue,
                'recordId':recordId,
                'tableName':tableName
            },
            success: function (response) {
                if (response.status) {
                    toastr[response.type](response.message);
                } else {
                    toastr['error']('There seems to be an issue. Please try again after some time.');
                }
            }
        });
    });
    $('#trigger_fullscreen').click(function() {
        toggleFullScreen();
    });

    function toggleFullScreen() {
      if (!document.fullscreenElement &&    // alternative standard method
          !document.mozFullScreenElement && !document.webkitFullscreenElement) {  // current working methods
        if (document.documentElement.requestFullscreen) {
          document.documentElement.requestFullscreen();
        } else if (document.documentElement.mozRequestFullScreen) {
          document.documentElement.mozRequestFullScreen();
        } else if (document.documentElement.webkitRequestFullscreen) {
          document.documentElement.webkitRequestFullscreen(Element.ALLOW_KEYBOARD_INPUT);
        }
      } else {
        if (document.cancelFullScreen) {
          document.cancelFullScreen();
        } else if (document.mozCancelFullScreen) {
          document.mozCancelFullScreen();
        } else if (document.webkitCancelFullScreen) {
          document.webkitCancelFullScreen();
        }
      }
    }
});