$(function () {
    OTable = $('#dataTableContact').dataTable({
        "bProcessing": true,
        "bServerSide": true,
        "sAjaxSource": "contactu-us-data",
        "fnServerData": function (sSource, aoData, fnCallback) {
            $.ajax({
                "dataType": 'json',
                "type": "POST",
                "url": sSource,
                "data": aoData,
                "success": fnCallback
            });
        },
        "aaSorting" : [],
        "aoColumns": [
            { "sName": "id", "sTitle" : 'Id',bVisible: false},
            { "sName": "firstName", "sTitle" : 'FirstName'},
            { "sName": "lastName", 'sTitle' : 'LastName'},
            { "sName": "emailAddress", 'sTitle' : 'Email Address'},
            { "sName": "subject", 'sTitle' : 'Subject'},
            { "sName": "message", 'sTitle' : 'Message'},
            { "sName": "replayMessage", 'sTitle' : 'Reply Message'},
            { "sName": "created_on", 'sTitle' : 'Created On'},
            { "sName": "operation", 'sTitle' : 'Operation' ,bSortable:false,bSearchable:false}
        ],
        "fnServerParams": function(aoData){},
        "fnDrawCallback": function(oSettings) {
            // $('.make-switch').bootstrapSwitch();
            // $('.make-switch').bootstrapSwitch('setOnClass', 'success');
            // $('.make-switch').bootstrapSwitch('setOffClass', 'danger');
        }
    });

    $(document).on('submit','#reply_contact', function(e){
        $("#reply_contact").validate({
            ignore:[],
            rules:{
                replayMessage:{required:true}
            },
            messages:{
                replayMessage:{required:"Please enter reply message."}
            },
            errorClass: 'help-block col-md-6',
            errorElement: 'span',
            highlight: function (element) {
               $(element).closest('.form-group').addClass('has-error');
            },
            unhighlight: function (element) {
                $(element).closest('.form-group').removeClass('has-error');
            },
            errorPlacement: function (error, element) {
                if (element.attr("data-error-container")) {
                    error.appendTo(element.attr("data-error-container"));
                } else {
                    error.insertAfter(element);
                }
            }
        });
        if($("#reply_contact").valid()){
            return true;
        }else{
            return false;
        }
    });
});