$(function () {
    OTable = $('#dataTableSubscriptionPlans').dataTable({
        "bProcessing": true,
        "bServerSide": true,
        "sAjaxSource": "manage-subscription-plans-data",
        "fnServerData": function (sSource, aoData, fnCallback) {
            $.ajax({
                "dataType": 'json',
                "type": "POST",
                "url": sSource,
                "data": aoData,
                "success": fnCallback
            });
        },
        "aaSorting" : [],
        "aoColumns": [
            { "sName": "id", "sTitle" : 'Id',bVisible: false},
            { "sName": "planName", "sTitle" : 'Plan Name'},
            { "sName": "planPrice", 'sTitle' : 'Plan Price'},
            { "sName": "created_on", 'sTitle' : 'Created On'},
            { "sName": "isActive", 'sTitle' : 'Status' ,bSearchable:false},
            { "sName": "operation", 'sTitle' : 'Operation' ,bSortable:false,bSearchable:false}
        ],
        "fnServerParams": function(aoData){},
        "fnDrawCallback": function(oSettings) {
            $('.make-switch').bootstrapSwitch();
            $('.make-switch').bootstrapSwitch('setOnClass', 'success');
            $('.make-switch').bootstrapSwitch('setOffClass', 'danger');
        }
    });

    $(document).on('submit','#manage_subscription_plan_form', function(e){
        $("#manage_subscription_plan_form").validate({
            ignore:[],
            rules:{
                planName:{
                    required:true
                },
                planPrice:{
                    required:true
                },
                noOfPatentDetailView:{
                    required:true
                }
            },
            messages:{
                planName:{
                    required:"Please enter plan name."
                },
                planPrice:{
                    required:"Please enter plan price."
                },
                noOfPatentDetailView:{
                    required:"Please enter no patent detail page view."
                }
            },
            errorClass: 'help-block col-md-6',
            errorElement: 'span',
            highlight: function (element) {
               $(element).closest('.form-group').addClass('has-error');
            },
            unhighlight: function (element) {
                $(element).closest('.form-group').removeClass('has-error');
            },
            errorPlacement: function (error, element) {
                if (element.attr("data-error-container")) {
                    error.appendTo(element.attr("data-error-container"));
                } else {
                    error.insertAfter(element);
                }
            }
        });
        if($("#manage_subscription_plan_form").valid()){
            return true;
        }else{
            return false;
        }
    });

    $(document).on("keydown", ".allow_patent_views", function (e) {

        lengthLimit = 5;
        if ((e.keyCode >= 48 && e.keyCode <= 57 && $(this).val().length < lengthLimit) || (e.keyCode >= 96 && e.keyCode <= 105 && $(this).val().length < lengthLimit) || ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 && $(this).val().length <= lengthLimit) || (e.keyCode >= 35 && e.keyCode <= 39 && $(this).val().length <= lengthLimit) || (e.ctrlKey === true || e.metaKey === true)) {
            return;
        } else {
            e.preventDefault();
        }
    });

    $(document).on("keydown", ".plan_price", function (e) {

        lengthLimit = 10;
        if ((e.keyCode >= 48 && e.keyCode <= 57 && $(this).val().length < lengthLimit) || (e.keyCode >= 96 && e.keyCode <= 105 && $(this).val().length < lengthLimit) || ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 && $(this).val().length <= lengthLimit) || (e.keyCode >= 35 && e.keyCode <= 39 && $(this).val().length <= lengthLimit) || (e.ctrlKey === true || e.metaKey === true)) {
            return;
        } else {
            e.preventDefault();
        }
    });
});